petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscMallocGetStack

returns a pointer to the stack for the location in the program a call to PetscMalloc() was used to obtain that memory

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocGetStack(void *ptr,PetscStack **stack)

Collective on PETSC_COMM_WORLD

### Input Parameter

ptr -the memory location

### Output Paramter

stack -the stack indicating where the program allocated this memory

### See Also

PetscMallocGetCurrentUsage(), PetscMallocDumpLog()

### Level

intermediate

### Location

src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages